# List patients Endpoint: GET /patients Version: v1 Security: basicAuth ## Query parameters: - `page` (integer) - `per_page` (integer) - `sort` (array) Comma separated search fields. See: Ordering Example: ["created_at:desc"] - `q[]` (array) Filter result by one or more fields. See Filtering Results Available filters: | Value | Format | |---|---| | accepted_privacy_policy | boolean | | archived_at | date-time | | created_at | date-time | | date_of_birth | date | | email | string | | first_name | string | | id | int64 | | last_name | string | | old_reference_id | string | | preferred_first_name | string | | updated_at | date-time | - `order` (string) Enum: "asc", "desc" ## Response 200 fields (application/json): - `patients` (array) - `patients.accepted_email_marketing` (boolean,null) - `patients.accepted_privacy_policy` (boolean,null) - `patients.accepted_sms_marketing` (boolean,null) - `patients.address_1` (string,null) - `patients.address_2` (string,null) - `patients.address_3` (string,null) - `patients.appointment_notes` (string,null) - `patients.appointments` (object) - `patients.appointments.links` (object) - `patients.appointments.links.self` (string) Example: "https://api.au1.cliniko.com/v1/patients/1/appointments" - `patients.archived_at` (string,null) - `patients.attendees` (object) - `patients.city` (string,null) - `patients.concession_type` (object) - `patients.country_code` (string,null) [ISO 3166-1](https://en.wikipedia.org/wiki/ISO_3166-1#Current_codes) country code Example: "AU" - `patients.created_at` (string) - `patients.custom_fields` (object,null) - `patients.custom_fields.sections` (array) - `patients.custom_fields.sections.name` (string,null) - `patients.custom_fields.sections.token` (string, required) Example: "ef4c43ec-105d-489c-88cc-0f3c5f67dc70" - `patients.custom_fields.sections.archived` (boolean,null) - `patients.custom_fields.sections.fields` (array, required) - `patients.date_of_birth` (string,null) - `patients.dva_card_number` (string,null) - `patients.email` (string,null) - `patients.emergency_contact` (string,null) - `patients.first_name` (string) - `patients.follow_ups_communication_channels` (array) Channels through which the patient will receive appointment follow-up messages. | Enum Value | Description | |---|---| | 1 | SMS | | 2 | Email | Enum: 1, 2 - `patients.follow_ups_communication_channels_description` (string) Enum: "None", "SMS", "Email", "SMS & Email" - `patients.gender_identity` (string,null) - `patients.id` (string) - `patients.invoice_default_to` (string,null) - `patients.invoice_email` (string,null) - `patients.invoice_extra_information` (string,null) - `patients.invoices` (object) - `patients.label` (string,null) Full name - `patients.last_name` (string) - `patients.latest_booking` (object) - `patients.medical_alerts` (object) - `patients.medicare` (string,null) - `patients.medicare_reference_number` (string,null) - `patients.merged_at` (string,null) - `patients.merged_with_patient` (object) - `patients.notes` (string,null) - `patients.occupation` (string,null) - `patients.old_reference_id` (string,null) - `patients.patient_attachments` (object) - `patients.patient_phone_numbers` (array,null) - `patients.patient_phone_numbers.normalized_number` (string) Example: "39012345678" - `patients.patient_phone_numbers.number` (string) Example: "0-123-456-78" - `patients.patient_phone_numbers.phone_type` (string) Enum: "Fax", "Home", "Mobile", "Other", "Work" - `patients.post_code` (string,null) - `patients.preferred_first_name` (string,null) - `patients.pronouns` (object,null) - `patients.pronouns.accusative` (string, required) - `patients.pronouns.nominative` (string, required) - `patients.pronouns.predicative_possessive` (string, required) - `patients.pronouns.pronominal_possessive` (string, required) - `patients.pronouns.reflexive` (string, required) - `patients.receives_cancellation_emails` (boolean,null) - `patients.receives_confirmation_emails` (boolean) - `patients.referral_source` (string,null) - `patients.referring_doctor` (object) - `patients.relationships` (object) - `patients.reminders_communication_channels` (array) Channels through which the patient will receive appointment reminders. | Enum Value | Description | |---|---| | 1 | SMS | | 2 | Email | Enum: 1, 2 - `patients.reminders_communication_channels_description` (string) Enum: "None", "SMS", "Email", "SMS & Email" - `patients.sex` (string,null) - `patients.state` (string,null) - `patients.time_zone` (string,null) See: [supported time zone identifiers](/guides/time_zone_support/#accepted-values-for-time_zone_identifier) Example: "Australia/Melbourne" - `patients.title` (string,null) - `patients.updated_at` (string) - `patients.country` (string,null) - `patients.gender` (string,null) - `patients.reminder_type` (string,null) Please use the reminders_communication_channels attribute instead. Enum: "None", "SMS", "Email", "SMS & Email" - `total_entries` (integer) Example: 1